Package org.eclipse.microprofile.openapi.apps.airlines.model

# Class Airport

java.lang.Object
org.eclipse.microprofile.openapi.apps.airlines.model.Airport

public class Airport extends Object

## Constructor Summary

Constructors
Constructor
Description
`Airport()`
`Airport(List<Flight> flights, Weather weather)`

## Method Summary

Modifier and Type
Method
Description
`List<Flight>`
`getFlights()`
`Weather`
`getWeather()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Airport

public Airport()

### Airport

public Airport(List<Flight> flights, Weather weather)

## Method Details

### getFlights

public List<Flight> getFlights()

### getWeather

public Weather getWeather()